Bug 468612 - Manual IP address setting does not work
Manual IP address setting does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: Alien999 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 14:24 EDT by eric magaoay
Modified: 2008-12-28 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:38:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2008-10-26 14:24:17 EDT
Description of problem:
Setting IPv4 address to "manual" will revert the setup to DHCP enabled upon reboot. 

Version-Release number of selected component (if applicable):
NetworkManager 0.7.0

How reproducible:
persistent

Steps to Reproduce:
1. edit connections
2. select wired device
3. select IPv4 setting set to IP to desired address
   i.e. IP address: 192.168.5.104
        NETMASK:    24
        GATEWAY:    192.168.5.1
4. reboot

Actual results:
upon reboot the result shows IP address obtained from DHCP server rather than what was specified as above.
Comment 1 Dan Williams 2008-10-27 10:55:56 EDT
Which exact connection (ie, the name) are you trying to edit here?
Comment 2 eric magaoay 2008-10-27 11:52:59 EDT
* From menu: 
    System > Preferences > Network Configuration > Wired > Auto eth1 >
     > IPv4 Settings > Method: > Manual

I normally setup the manual IP using "system-config-network" command, but it is currently broken. I'm getting exception.
Comment 3 Dan Williams 2008-11-17 15:49:16 EST
*** Bug 471852 has been marked as a duplicate of this bug. ***
Comment 4 Dan Williams 2008-11-20 12:59:17 EST
*** Bug 471909 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2008-11-23 17:55:16 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10
Comment 6 Fedora Update System 2008-11-23 18:05:20 EST
NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9
Comment 7 Fedora Update System 2008-11-23 18:07:38 EST
NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8
Comment 8 Bug Zapper 2008-11-25 23:16:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2008-11-26 01:15:08 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10263
Comment 10 Fedora Update System 2008-11-26 01:19:13 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10321
Comment 11 Fedora Update System 2008-11-26 01:22:56 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10, NetworkManager-openvpn-0.7.0-16.svn4326.fc10, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10, NetworkManager-0.7.0-0.12.svn4326.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 AndrisZ 2008-12-02 13:22:32 EST
Hello..
in Fedora 10 Problem is still the same.. :(
After writing in static IP, Gateway, and Mask LanCard crashes.. :(

you can see Exactly what is happening by watching my Video :)
in first 30 seconds i am testing LAN card cable detection..
after writing IP settings LAN crashes and Linux can't see My LAN Cable..

please See my Movie..
http://squad.lv/ftp/video.misc/fedora10_lan_error.avi

Thank you Very Much.. ^^v
Comment 13 Fedora Update System 2008-12-21 18:37:49 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-12-21 18:42:51 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 AndrisZ 2008-12-28 18:24:15 EST
Hello

in Fedora 10 my Real IP (statical) works ONLY if Using "controlled by network manager" (in Network configuration => Devices => Edit Eth0)but it works wery slow and I cant save SubnetMask

in Fedora 8 I am NOT using "controlled by network manager" and all works Great

:(

Note You need to log in before you can comment on or make changes to this bug.